package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 业务管理 中标确认
 * </p>
 *
 * @author liutao
 * @since 2023-02-27
 */
@TableName("business_award_confirm")
public class BusinessAwardConfirm extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 业务基本信息表Id
     */
    @TableField("business_basic_info_id")
    private Long businessBasicInfoId;

    /**
     * 保证金金额
     */
    @TableField("deposit_amount")
    private Long depositAmount;

    /**
     *  是否中标 0未中标 1中标
     */
    @TableField("win_the_bidding")
    private Integer winTheBidding;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    /**
     * 支付凭证
     */
    @TableField(exist = false)
    private List<FileStorage> paymentVoucher;

    /**
     *  投标凭证
     */
    @TableField(exist = false)
    private List<FileStorage> tenderDocuments;

    /**
     *  中标通知书
     */
    @TableField(exist = false)
    private List<FileStorage> bidWinningNotice;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public List<FileStorage> getPaymentVoucher() {
        return paymentVoucher;
    }

    public void setPaymentVoucher(List<FileStorage> paymentVoucher) {
        this.paymentVoucher = paymentVoucher;
    }

    public List<FileStorage> getTenderDocuments() {
        return tenderDocuments;
    }

    public void setTenderDocuments(List<FileStorage> tenderDocuments) {
        this.tenderDocuments = tenderDocuments;
    }

    public List<FileStorage> getBidWinningNotice() {
        return bidWinningNotice;
    }

    public void setBidWinningNotice(List<FileStorage> bidWinningNotice) {
        this.bidWinningNotice = bidWinningNotice;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }
    public Long getDepositAmount() {
        return depositAmount;
    }

    public void setDepositAmount(Long depositAmount) {
        this.depositAmount = depositAmount;
    }
    public Integer getWinTheBidding() {
        return winTheBidding;
    }

    public void setWinTheBidding(Integer winTheBidding) {
        this.winTheBidding = winTheBidding;
    }

    @Override
    public String toString() {
        return "BusinessAwardConfirm{" +
            "businessBasicInfoId=" + businessBasicInfoId +
            ", depositAmount=" + depositAmount +
            ", winTheBidding=" + winTheBidding +
        "}";
    }
}
